
Packaging - Bug #7023

service foreman status returns non-zero when successful

08/11/2014 12:33 PM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1121121 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121121

Description of problem:

service foreman status returns non-zero error code for success

It says "PASSED" but returns "1"

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140711.0

How reproducible:

100%

Steps to Reproduce:

1. service foreman status

Foreman is running under passenger[PASSED]

2. echo $?

1

Actual results:

It says "PASSED" but returns "1"

Expected results:

When it says "PASSED" it should return "0"

History

#1 - 08/11/2014 12:33 PM - Dominic Cleal

- Category set to RPMs

The "1" is to indicate it can't even tell you what the status is, though LSB says this should actually be "4".  Zero would be even more misleading I

think.

#2 - 09/26/2018 11:48 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

Because the service has been rewritten to a unit file I suspect this is no longer relevant. Closing this even though I haven't verified it.
